### Name: ictest
### Title: do logrank or Wilcoxon type tests on interval censored data
### Aliases: ictest wlr_trafo ictest.default ictest.formula
###   wlr_trafo.default wlr_trafo.Surv
### Keywords: htest survival nonparametric

### ** Examples

   ## perform a logrank-type test using the permutation form of the test
data(bcos)
testresult<-ictest(Surv(left,right,type="interval2")~treatment, scores="logrank1",data=bcos)
testresult
## perform a Wilcoxon rank sum-type test
## using asymptotic permutation variance
left<-bcos$left
right<-bcos$right
trt<-bcos$treatment
## save time by using previous fit
ictest(left,right,trt, initfit=testresult$fit, method="pclt",scores="wmw")



