###################################################
### chunk number 1: 
###################################################
library(interval)
data(bcos)
fit1<-icfit(Surv(left,right,type="interval2")~treatment,data=bcos)
summary(fit1)


###################################################
### chunk number 2: 
###################################################
plot(fit1)


###################################################
### chunk number 3: 
###################################################
icout<-ictest(Surv(left,right,type="interval2")~treatment,data=bcos)
icout


###################################################
### chunk number 4: 
###################################################
ictest(Surv(left,right,type="interval2")~treatment,data=bcos,
initfit=icout$fit,scores="logrank2")


###################################################
### chunk number 5: 
###################################################
L<-bcos$left
R<-bcos$right
trt<-bcos$treatment 
ictest(L,R,trt,scores="wmw",initfit=icout$fit)


###################################################
### chunk number 6: 
###################################################
set.seed(1232)
fakeTrtGrps<-sample(letters[1:4],dim(bcos)[[1]],replace=TRUE)
ictest(L,R,fakeTrtGrps)


###################################################
### chunk number 7: 
###################################################
set.seed(931)
fakeZ<-rnorm(dim(bcos)[[1]])
ictest(L,R,fakeZ,alternative="less")


###################################################
### chunk number 8: 
###################################################
ictest(Surv(left,right,type="interval2")~treatment,data=bcos,exact=TRUE,scores="logrank1")


###################################################
### chunk number 9: 
###################################################
ictest(Surv(left,right,type="interval2")~treatment,data=bcos,initfit=icout$fit,method="scoretest",scores="logrank2")


###################################################
### chunk number 10: 
###################################################
ictest(Surv(left,right,type="interval2")~treatment,data=bcos,initfit=icout$fit,method="wsr.HLY",mcontrol=mControl(nwsr=99),scores="logrank1")


###################################################
### chunk number 11: 
###################################################
L<-c(2,5,1,1,9,8,10)
R<-c(3,6,7,7,12,10,13)
group<-c(0,0,1,1,0,1,0)
example1<-data.frame(L,R,group)
example1


###################################################
### chunk number 12: 
###################################################
library(interval)
summary(icfit(L,R),digits=12)


###################################################
### chunk number 13: 
###################################################
print(3/14,digits=12)


###################################################
### chunk number 14: 
###################################################
score1<-wlr_trafo(Surv(L,R,type="interval2"))
cm<-chooseMatrix(7,3)
T<- ( (1-cm) %*% score1 )/4 - ( cm %*% score1 )/3   
cbind(cm,T)[order(T),][1:9,]


###################################################
### chunk number 15: 
###################################################
ictest(L,R,group,alternative="less")
library(coin)
packageDescription("coin")$Version
independence_test(score1~as.factor(group),alternative="less",distribution=exact())


###################################################
### chunk number 16: 
###################################################
ictest.alone<-function(){
    ictest(Surv(left,right,type="interval2")~treatment,data=bcos)$p.value
}
library(Icens)
emicm.first<-function(){
    npmle<-EMICM(bcos[,c("left","right")]) 
    ictest(Surv(left,right,type="interval2")~treatment,data=bcos,initfit=npmle)$p.value
}
ictest.alone()
emicm.first()
system.time(ictest.alone())
system.time(emicm.first())


###################################################
### chunk number 17: 
###################################################
c12<- bcos[c(1:12,47:58),]
ictest(Surv(left,right,type="interval2")~treatment,data=c12,method="exact.network",alternative="less")
independence_test(wlr_trafo(Surv(left,right,type="interval2"))~treatment,data=c12,distribution=exact(),alternative="less")
system.time(ictest(Surv(left,right,type="interval2")~treatment,data=c12,method="exact.network",alternative="less"))
system.time(independence_test(wlr_trafo(Surv(left,right,type="interval2"))~treatment,data=c12,distribution=exact(),alternative="less"))


###################################################
### chunk number 18: 
###################################################
independence_test(extra~group, data=sleep)
permTS(extra~group,data=sleep)
independence_test(extra~group, data=sleep,distribution=exact())
permTS(extra~group,data=sleep,method="exact.network")


###################################################
### chunk number 19: 
###################################################
kruskal.test(Ozone ~ Month, data = airquality)
airq<-airquality[!is.na(airquality$Ozone),]
permKS(rank(Ozone)~Month, data=airq)


###################################################
### chunk number 20: 
###################################################
permTREND(Ozone~Month, data=airq)
library(coin)
independence_test(Ozone~Month, data=airq)
cor.test(airq$Ozone,airq$Month)


